data:extend(
{
  {
    type = "technology",
    name = "PaA-railgun-damage-1",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.1
      }
    },
    prerequisites = {"PaA-railgun"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 30
    },
    upgrade = "true",
    order = "e-n-a"
  },
  {
    type = "technology",
    name = "PaA-railgun-damage-2",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.1
      }
    },
    prerequisites = {"PaA-railgun-damage-1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    upgrade = "true",
    order = "e-n-b"
  },
  {
    type = "technology",
    name = "PaA-railgun-damage-3",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.2
      }
    },
    prerequisites = {"PaA-railgun-damage-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"military-science-pack", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-c"
  },
  {
    type = "technology",
    name = "PaA-railgun-damage-4",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.2
      }
    },
    prerequisites = {"PaA-railgun-damage-3"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"military-science-pack", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-d"
  },
  {
    type = "technology",
    name = "PaA-railgun-damage-5",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.2
      }
    },
    prerequisites = {"PaA-railgun-damage-4"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-e"
  },
  {
    type = "technology",
    name = "PaA-railgun-damage-6",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.4
      }
    },
    prerequisites = {"PaA-railgun-damage-5"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-f"
  },
  {
    type = "technology",
    name = "PaA-railgun-damage-7",
    icon = "__PowerAndArmor__/graphics/technology/railgun-damage.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "railgun",
        modifier = 0.4
      }
    },
    prerequisites = {"PaA-railgun-damage-6"},
    unit =
    {
      count_formula = "2^(L-7)*1000",
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1},
        {"space-science-pack", 1}
      },
      time = 60
    },
    max_level = "infinite",
    upgrade = true,
    order = "e-n-f"
  },

  {
    type = "technology",
    name = "PaA-railgun-speed-1",
    icon = "__PowerAndArmor__/graphics/technology/railgun-speed.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "railgun",
        modifier = 0.2
      }
    },
    prerequisites = {"PaA-railgun"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 30
    },
    upgrade = "true",
    order = "e-n-g"
  },
  {
    type = "technology",
    name = "PaA-railgun-speed-2",
    icon = "__PowerAndArmor__/graphics/technology/railgun-speed.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "railgun",
        modifier = 0.2
      }
    },
    prerequisites = {"PaA-railgun-speed-1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    upgrade = "true",
    order = "e-n-h"
  },
  {
    type = "technology",
    name = "PaA-railgun-speed-3",
    icon = "__PowerAndArmor__/graphics/technology/railgun-speed.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "railgun",
        modifier = 0.3
      }
    },
    prerequisites = {"PaA-railgun-speed-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-i"
  },
  {
    type = "technology",
    name = "PaA-railgun-speed-4",
    icon = "__PowerAndArmor__/graphics/technology/railgun-speed.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "railgun",
        modifier = 0.3
      }
    },
    prerequisites = {"PaA-railgun-speed-3"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"military-science-pack", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-j"
  },
  {
    type = "technology",
    name = "PaA-railgun-speed-5",
    icon = "__PowerAndArmor__/graphics/technology/railgun-speed.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "railgun",
        modifier = 0.3
      }
    },
    prerequisites = {"PaA-railgun-speed-4"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1}
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-k"
  },
  {
    type = "technology",
    name = "PaA-railgun-speed-6",
    icon = "__PowerAndArmor__/graphics/technology/railgun-speed.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "railgun",
        modifier = 0.3
      }
    },
    prerequisites = {"PaA-railgun-speed-5"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1},
      },
      time = 60
    },
    upgrade = "true",
    order = "e-n-l"
  }
}
)
