--armor technologies
data:extend(
{
	{
		type = "technology",
		name = "PaA-armor-upgrades",
		icon = "__PowerAndArmor__/graphics/technology/power-armor-mk3.png",
		icon_size = 128,
		prerequisites = {"power-armor-2", "productivity-module-3", "effectivity-module-3", "speed-module-3"},
		unit =
		{
			count = 100,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"military-science-pack", 1},
			},
        time = 20,
		},
		order = "g-c-c",
	},
	{
		type = "technology",
		name = "PaA-mk3-power-armor",
		icon = "__PowerAndArmor__/graphics/technology/power-armor-mk3.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "PaA-power-armor-mk3",
			},
			{
				type = "unlock-recipe",
				recipe = "PaA-power-armor-mk2-upgrade",
			}
			
		},
		prerequisites = {"PaA-armor-upgrades"},
		unit =
		{
			count = 500,
			ingredients =
			{
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 2},
				{"military-science-pack", 2},
				{"high-tech-science-pack", 1}
			},
			time = 10,
		},
		order = "g-c-d",
	},
	{
		type = "technology",
		name = "PaA-mk4-power-armor",
		icon = "__PowerAndArmor__/graphics/technology/power-armor-mk4.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "PaA-power-armor-mk4",
			},
			{
				type = "unlock-recipe",
				recipe = "PaA-power-armor-mk3-upgrade",
			}
			
		},
		prerequisites = {"PaA-mk3-power-armor", "PaA-mk2-fusion-reactor-equipment", "PaA-mk3-energy-shield-equipment"},
		unit =
		{
			count = 1000,
			ingredients =
			{
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 2},
				{"military-science-pack", 2},
				{"high-tech-science-pack", 1},
				{"space-science-pack", 1}
			},
			time = 10,
		},
		order = "g-c-d",
	},
})
table.insert(data.raw["technology"]["power-armor"].effects, {type = "unlock-recipe", recipe = "PaA-modular-armor-upgrade"})
table.insert(data.raw["technology"]["power-armor-2"].effects, {type = "unlock-recipe",recipe = "PaA-power-armor-upgrade"})
	
-- equipment technologies
data:extend({
	{
		type = "technology",
		name = "PaA-mk3-personal-roboport-equipment",
		icon = "__PowerAndArmor__/graphics/technology/personal-roboport-mk3-equipment.png",
		icon_size = 64,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "PaA-personal-roboport-mk3-equipment"
			},
			{
				type = "unlock-recipe",
				recipe = "PaA-personal-dockingport-mk3-equipment"
			},
		},
		prerequisites = {"PaA-armor-upgrades", "personal-roboport-equipment-2"},
		unit =
		{
			count = 500,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"high-tech-science-pack", 1}
			},
			time = 10,
		},
		order = "g-c-h",
	},
})
if not PaA.bob.warfare then
	data:extend(
	{ 
		{
			type = "technology",
			name = "PaA-mk2-fusion-reactor-equipment",
			icon = "__PowerAndArmor__/graphics/technology/fusion-reactor-mk2-equipment.png",
			icon_size = 128,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-fusion-reactor-mk2-equipment",
				},
			},
			prerequisites = {"PaA-armor-upgrades", "fusion-reactor-equipment"},
			unit =
			{
				count = 250,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1},
					{"military-science-pack", 1},
					{"high-tech-science-pack", 1}
				},
				time = 10,
			},
			order = "g-c-e",
		},
		{
			type = "technology",
			name = "PaA-mk2-exoskeleton-equipment",
			icon = "__PowerAndArmor__/graphics/technology/exoskeleton-mk2-equipment.png",
			icon_size = 128,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-exoskeleton-mk2-equipment"
				},
			},
			prerequisites = {"PaA-armor-upgrades", "exoskeleton-equipment"},
			unit =
			{
				count = 100,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1},
					{"high-tech-science-pack", 1}
				},
				time = 10,
			},
			order = "g-c-f",
		},
		{
			type = "technology",
			name = "PaA-mk2-night-vision-equipment",
			icon = "__PowerAndArmor__/graphics/technology/night-vision-mk2-equipment.png",
			icon_size = 64,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-night-vision-mk2-equipment"
				},
			},
			prerequisites = {"PaA-armor-upgrades", "night-vision-equipment"},
			unit =
			{
				count = 100,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1}
				},
				time = 10,
			},
			order = "g-c-g",
		},
		{
			type = "technology",
			name = "PaA-mk3-energy-shield-equipment",
			icon = "__PowerAndArmor__/graphics/technology/energy-shield-mk3-equipment.png",
			icon_size = 64,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-energy-shield-mk3-equipment"
				},
			},
			prerequisites = {"PaA-armor-upgrades", "energy-shield-mk2-equipment"},
			unit =
			{
				count = 250,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1},
					{"military-science-pack", 1},
					{"high-tech-science-pack", 1}
				},
				time = 10,
			},
			order = "g-c-i",
		},
		{
			type = "technology",
			name = "PaA-mk3-battery-equipment",
			icon = "__PowerAndArmor__/graphics/technology/battery-mk3-equipment.png",
			icon_size = 128,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-battery-mk3-equipment"
				},
			},
			prerequisites = {"PaA-armor-upgrades", "battery-mk2-equipment"},
			unit =
			{
				count = 150,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1},
					{"high-tech-science-pack", 1}
				},
				time = 10,
			},
			order = "g-c-j",
		},
		{
			type = "technology",
			name = "PaA-mk2-personal-laser-defense-equipment",
			icon = "__PowerAndArmor__/graphics/technology/personal-laser-defense-mk2-equipment.png",
			icon_size = 64,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-personal-laser-defense-mk2-equipment"
				},
			},
			prerequisites = {"PaA-armor-upgrades", "personal-laser-defense-equipment"},
			unit =
			{
				count = 200,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1},
					{"military-science-pack", 1}
				},
				time = 10,
			},
			order = "g-c-k",
		},
		{
			type = "technology",
			name = "PaA-mk3-personal-laser-defense-equipment",
			icon = "__PowerAndArmor__/graphics/technology/personal-laser-defense-mk3-equipment.png",
			icon_size = 64,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-personal-laser-defense-mk3-equipment"
				},
			},
			prerequisites = {"PaA-mk2-personal-laser-defense-equipment"},
			unit =
			{
				count = 300,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
					{"science-pack-3", 1},
					{"military-science-pack", 1},
					{"high-tech-science-pack", 1}
				},
				time = 10,
			},
			order = "g-c-k",
		},
	})
end

--tool technologies
if settings.startup["PaA-add-tools"].value then
	data:extend(
	{
		{
			type = "technology",
			name = "PaA-steel-drill",
			icon = "__PowerAndArmor__/graphics/technology/steel-drill.png",
			icon_size = 128,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-steel-drill"
				},
			},
			prerequisites = {"electric-engine"},
			unit =
			{
				count = 100,
				ingredients =
				{
					{"science-pack-1", 1},
					{"science-pack-2", 1},
				},
				time = 10,
			},
			order = "g-c-j",
		},
		{
			type = "technology",
			name = "PaA-nuclear-powered-steel-drill",
			icon = "__PowerAndArmor__/graphics/technology/nuclear-powered-steel-drill.png",
			icon_size = 32,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-nuclear-powered-steel-drill"
				},
			},
			prerequisites = {"PaA-steel-drill", "nuclear-power"},
			unit =
			{
				count = 50,
				ingredients =
				{
					{"science-pack-1", 5},
					{"science-pack-2", 5},
					{"science-pack-3", 2}
				},
				time = 10,
			},
			order = "g-c-k",
		},
	})
end
--vanilla technologies
data:extend(
{	
	{
		type = "technology",
		name = "PaA-railgun",
		icon = "__PowerAndArmor__/graphics/technology/railgun.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "railgun"
			},
			{
				type = "unlock-recipe",
			recipe = "railgun-dart"
			}
		},
		prerequisites = {"military-3"},
		unit =
		{
			count = 50,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"military-science-pack", 1}
			},
			time = 10,
		},
		order = "g-c-j",
	},
	{
		type = "technology",
		name = "PaA-heavy-railgun-dart",
		icon = "__PowerAndArmor__/graphics/technology/heavy-railgun-ammo.png",
		icon_size = 128,
		effects =
		{
			{
				type = "unlock-recipe",
				recipe = "PaA-heavy-railgun-dart"
			},
		},
		prerequisites = {"PaA-railgun"},
		unit =
		{
			count = 50,
			ingredients =
			{
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"military-science-pack", 1}
			},
			time = 10,
		},
		order = "g-c-j",
	},
})
table.insert(data.raw["technology"]["uranium-ammo"].effects, {type = "unlock-recipe", recipe = "PaA-uranium-railgun-dart"})

--power technologies
if settings.startup["PaA-add-entities"].value then
	data:extend({
		{
			type = "technology",
			name = "PaA-electric-energy-distribution-3",
			icon = "__base__/graphics/technology/electric-energy-distribution.png",
			icon_size = 128,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "PaA-supercharged-medium-electric-pole"
				},
				{
					type = "unlock-recipe",
					recipe = "PaA-supercharged-substation"
				},
				{
					type = "unlock-recipe",
					recipe = "PaA-supercharged-big-electric-pole"
				},
			},
			prerequisites = {"electric-energy-distribution-2"},
			unit =
			{
				count = 100,
				ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"production-science-pack", 1}
			},
			time = 45
			},
			order = "c-e-c",
		},
	})
end	