local expand_charging_spots=
{
  ["roboport"] = 1,
  ["roboport_nosignal"] = 1,
  ["bob-roboport-2"] = 1,
  ["bob-roboport-3"] = 1,
  ["bob-roboport-4"] = 1,
}

local function energy_rebalance(oldValue, factor)
  if type(oldValue) == "string" then
    local num, str, exp, energy = string.match(oldValue, "([%-+]?[0-9]*%.?[0-9]+)(([kKMGTPH]?)([WJ]))")    
    if num and str and energy then
      local correctedNum = tonumber(num) * factor
      return correctedNum..str
    end
  end
end

for k, roboport in pairs(data.raw["roboport"]) do
  if expand_charging_spots[roboport.name] then
    -- add 8 charging positions
    roboport.charging_offsets =
    {
      {-1.2, -0.8}, {-1.8, -0.2},
      {1.8, -0.2}, {1.2, -0.8},      
      {1.8, 1.2}, {1.2, 1.8},
      {-1.2, 1.8}, {-1.8, 1.2},
    }
    
    -- increase energy flow to accomodate 8 bots at 1MW each    
    local flow_limit = energy_rebalance(roboport.energy_source.input_flow_limit, 2)
    -- log("[Upgraded Roboports] Roboport: "..roboport.name.." old flow limit: "..roboport.energy_source.input_flow_limit.." new flow limit: "..flow_limit)
    roboport.energy_source.input_flow_limit = flow_limit
  end  
end
